directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Emmanuel Lecharny <elecha...@apache.org>
Subject Re: Studio & Java 9
Date Sun, 25 Mar 2018 17:06:49 GMT
So it seems it's related to bcprov 1.59.

Actually, I'm not sure at all we still need bcprov. We used to do because some part of kerberos
was using DER encoding, and we were using teh DER library from bcprov. This is not anymore
the case.

I'll chekc if we can get rid f this lib in apacheds (we don't use it in teh API).

On 2018/03/25 16:48:13, Emmanuel Lécharny <elecharny@gmail.com> wrote: 
> Hi Stefan,
> 
> today, I tried to build Studio, and I get an error that makes me thing
> the trunk requires Java 9 to be built. Is that correct, or am I missing
> something ?
> 
> INFO] Resolving class path of MavenProject:
> org.apache.directory.studio:org.apache.directory.studio.aciitemeditor:2.0.0-SNAPSHOT
> @ /Users/elecharny/apacheds/directory-studio/plugins/aciitemeditor/pom.xml
> [ERROR] Internal error:
> org.eclipse.tycho.core.osgitools.OsgiManifestParserException: Exception
> parsing OSGi MANIFEST
> /Users/elecharny/.m2/repository/p2/osgi/bundle/bcprov/1.56.0/bcprov-1.56.0.jar!/META-INF/MANIFEST.MF:
> Unknown OSGi execution environment: 'JavaSE-1.9' -> [Help 1]
> org.apache.maven.InternalErrorException: Internal error:
> org.eclipse.tycho.core.osgitools.OsgiManifestParserException: Exception
> parsing OSGi MANIFEST
> /Users/elecharny/.m2/repository/p2/osgi/bundle/bcprov/1.56.0/bcprov-1.56.0.jar!/META-INF/MANIFEST.MF:
> Unknown OSGi execution environment: 'JavaSE-1.9'
> 
> 
> -- 
> Emmanuel Lecharny
> 
> Symas.com
> directory.apache.org
> 
> 

Mime
View raw message